### Method

# Camel NetworkSettings get_user

since: 3.4

#### Declaration [src]

    const gchar*
    camel_network_settings_get_user (
      CamelNetworkSettings* settings
    )

#### Description [src]

Returns the user name used to authenticate to a network service.

Available since: 3.4

Gets property | `Camel.NetworkSettings:user`

#### Return value

Type: `const gchar*`

The user name of a network service.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.